// creator  : weidu.exe (version 23600)
// argument : MTOB8.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~MTOB8~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 2 3 even though they appear after this state */
~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #8796 /* ~Hello friends. At least, I hope you are friends. Wouldn't want enemies barging into my home at all hours uninvited.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 2 3 even though they appear after this state */
~  NumberOfTimesTalkedTo(1)
~ THEN BEGIN 1 // from:
  SAY #8797 /* ~Were you planning on staying in my home long? Only until the guard arrives, I'll wager.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~  StateCheck(Myself,STATE_CHARMED)
CheckStatGT(Myself,0,GOLD)
~ THEN BEGIN 2 // from:
  SAY #8798 /* ~I don't leave my home much, so there's little I know about what goes on within the city. Why don't you take this gold piece and enjoy yourself at the market square; there's all sorts of things to do there.~ */
  IF ~~ THEN DO ~GivePartyGold(1)
~ EXIT
END

IF WEIGHT #1 ~  ReputationLT(Player1,3)
~ THEN BEGIN 3 // from:
  SAY #9174 /* ~Leave me! You've outstayed your welcome!~ */
  IF ~~ THEN EXIT
END
